#ifndef PROB
#define PROB

#include "DEFS.h"

#ifdef BUNDLE_AR_WITH_PROB
    typedef int (ProbFunc) (int, REAL *, REAL *, REAL *, REAL *, REAL **);
#else
    typedef REAL (ProbFunc) (int, int, REAL, REAL *, REAL *, REAL *, REAL **);
#endif

#ifdef BUNDLE_AR_WITH_PROB
   int GaussianT (int , REAL * , REAL *,  REAL *, REAL *, REAL **);
   int GaussianTEV (int , REAL * , REAL *,  REAL *, REAL *, REAL **);
   int Student3T (int , REAL * , REAL *,  REAL *, REAL *, REAL **);
   int Gaussian (int , REAL * , REAL *,  REAL *, REAL *, REAL **);
   int GeneralizedCauchy(int , REAL * , REAL *,  REAL *, REAL *, REAL **);
   int GeneralizedCauchyEV(int , REAL * , REAL *,  REAL *, REAL *, REAL **);
   int GeneralizedLogistic(int , REAL * , REAL *,  REAL *, REAL *, REAL **);
   int GeneralizedLogisticEV(int , REAL * , REAL *,  REAL *, REAL *, REAL **);
#else
   REAL GaussianT (int , int , REAL , REAL *,  REAL *, REAL *, REAL **);
   REAL Student3T (int , int , REAL , REAL *,  REAL *, REAL *, REAL **);
   REAL Gaussian (int , int , REAL , REAL *,  REAL *, REAL *, REAL **);
#endif

#endif
